schemaVersion: "1.0"
variables:
  admin-language-cookie-domain:
    className: "ch.nevis.admin.v4.plugin.base.generation.property.SimpleTextProperty"
    parameters:
      minRequired: 0
      maxAllowed: 1
    value: "agov.admin.ch"
    requireOverloading: true
  agov_admin_idm-db-management:
    className: "ch.nevis.admin.v4.plugin.base.generation.property.SelectionProperty"
    parameters:
      minRequired: 1
      maxAllowed: 1
      options:
      - "complete"
      - "schema"
      - "disabled"
    value: "disabled"
    requireOverloading: true
  agov_operations_pem_signer-key-store-content:
    className: "ch.nevis.admin.v4.plugin.base.generation.property.AttachmentProperty"
    parameters:
      minRequired: 0
      secretPreserving: true
    value: null
    requireOverloading: true
  artreporting-backend-addresses:
    className: "ch.nevis.admin.v4.plugin.base.generation.property.URLProperty"
    parameters:
      minRequired: 1
      schemeInputMode: "OPTIONAL"
      allowedSchemes: "http,https"
      hostNameInputMode: "REQUIRED"
      portInputMode: "OPTIONAL"
      pathInputMode: "OPTIONAL"
    value: "http://art-report-server:8080/art/"
    requireOverloading: true
  atb-sec-token-signer-pem-trust-store-trusted-certificates:
    className: "ch.nevis.admin.v4.plugin.base.generation.property.AttachmentProperty"
    parameters:
      minRequired: 0
      secretPreserving: true
    value: null
    requireOverloading: true
  azure_mariadb_ca-trusted-certificates:
    className: "ch.nevis.admin.v4.plugin.base.generation.property.AttachmentProperty"
    parameters:
      minRequired: 0
      secretPreserving: true
    value: null
    requireOverloading: true
  cert-login-template-parameters:
    className: "ch.nevis.admin.v4.plugin.base.generation.property.TextProperty"
    parameters:
      required: false
      syntax: "YAML"
    value: "caFile.pem"
    requireOverloading: true
  csp-security-response-headers:
    className: "ch.nevis.admin.v4.plugin.base.generation.property.KeyValueProperty"
    parameters:
      separators:
      - "="
      switchedSeparators: []
    value:
    - param_csp: "default-src 'none'; script-src 'wasm-unsafe-eval' 'self' 'sha256-4r4l/2aahtvPIxQP0YmmqfftYXNwNqxxqOUaXVE0FjM='\
        \ 'sha256-3sconOU5uxdS6tVa5DhEli3N+/aY9IvYh873WqDptD0=' 'sha256-N3+RfLbnlpBc0lUnNy4soyLbX0tNDqQt5LPzkEsYOHo='\
        \ 'sha256-uOoE0nq21NJDv37YLUOxV9aCnNstJ0GK7BiXNMXQAcI='; worker-src blob:;\
        \ child-src blob:; connect-src 'self' https://api.friendlycaptcha.com/api/v1/puzzle;\
        \ img-src 'self'; style-src 'self' 'unsafe-inline' ; form-action 'self' https://trustbroker.agov-d.azure.adnovum.net/adfs/ls\
        \ https://me.agov-d.azure.adnovum.net/registration/api/login/saml2/sso/agovidpdirect\
        \ https://me.agov-d.azure.adnovum.net/account/api/login/saml2/sso/agovidpdirect;\
        \ font-src 'self';"
    - param_report_only_csp: "none"
    requireOverloading: true
  externalingresssettings-annotations:
    className: "ch.nevis.admin.v4.plugin.base.generation.property.KeyValueProperty"
    parameters:
      separators:
      - ":"
      switchedSeparators: []
    value: null
    requireOverloading: true
  externalingresssettings-class-name:
    className: "ch.nevis.admin.v4.plugin.base.generation.property.SimpleTextProperty"
    parameters:
      minRequired: 0
      maxAllowed: 1
    value: "nginx"
    requireOverloading: true
  greenmail-backend-addresses:
    className: "ch.nevis.admin.v4.plugin.base.generation.property.URLProperty"
    parameters:
      minRequired: 1
      schemeInputMode: "OPTIONAL"
      allowedSchemes: "http,https"
      hostNameInputMode: "REQUIRED"
      portInputMode: "OPTIONAL"
      pathInputMode: "OPTIONAL"
    value: "http://rainloop.adn-agov-mail-01-dev/"
    requireOverloading: true
  idm-admin-settings:
    className: "ch.nevis.admin.v4.plugin.base.generation.property.KeyValueProperty"
    parameters:
      separators:
      - "="
      switchedSeparators: []
      valueFormat: ".*"
    value:
    - application.feature.multiclientmode.enabled: "true"
    - application.modules.auditing.enabled: "true"
    - application.feature.email.validation.enabled: "false"
    - application.generators.extid.client: "uuid"
    - application.generators.extid.user: "uuid"
    - application.generators.extid.profile: "uuid"
    - application.generators.extid.unit: "uuid"
    - application.generators.extid.credential: "uuid"
    - application.generators.extid.application: "uuid"
    - application.generators.extid.role: "uuid"
    - application.generators.extid.policyconfig: "uuid"
    - application.generators.extid.template: "uuid"
    - application.generators.extid.enterpriserole: "uuid"
    - application.generators.extid.authorization: "uuid"
    - application.modules.event.autostartup.enabled: "false"
    - application.modules.event.repeat.count: "0"
    - application.modules.auditing.autostartup.enabled: "false"
    - application.modules.auditing.repeat.count: "0"
    - application.modules.provisioning.enabled: "false"
    - database.connection.xa.enabled: "false"
    - database.connection.pool.size.min: "10"
    - database.connection.pool.size.max: "10"
    - application.modules.reporting.separator: ";"
    - application.modules.reporting.characterencoding: "ISO-8859-1"
    - web.gui.facing.location: "/var/opt/nevisidm/default/conf/facing"
    - web.gui.facing.cache.size: "10000"
    requireOverloading: true
  idm-batch-settings:
    className: "ch.nevis.admin.v4.plugin.base.generation.property.KeyValueProperty"
    parameters:
      separators:
      - "="
      switchedSeparators: []
      valueFormat: ".*"
    value:
    - application.feature.multiclientmode.enabled: "true"
    - application.modules.auditing.enabled: "true"
    - application.feature.email.validation.enabled: "false"
    - application.generators.extid.client: "uuid"
    - application.generators.extid.user: "uuid"
    - application.generators.extid.profile: "uuid"
    - application.generators.extid.unit: "uuid"
    - application.generators.extid.credential: "uuid"
    - application.generators.extid.application: "uuid"
    - application.generators.extid.role: "uuid"
    - application.generators.extid.policyconfig: "uuid"
    - application.generators.extid.template: "uuid"
    - application.generators.extid.enterpriserole: "uuid"
    - application.generators.extid.authorization: "uuid"
    - application.modules.auditing.autostartup.enabled: "true"
    - application.modules.auditing.repeat.count: "-1"
    - application.modules.event.autostartup.enabled: "true"
    - application.modules.event.repeat.count: "-1"
    - database.connection.xa.enabled: "false"
    - application.modules.provisioning.enabled: "false"
    - database.connection.pool.size.min: "5"
    - database.connection.pool.size.max: "10"
    - database.transaction.timeout: "60"
    requireOverloading: true
  idm-history-default-prune-history-job-cron-expression:
    className: "ch.nevis.admin.v4.plugin.base.generation.property.SimpleTextProperty"
    parameters:
      minRequired: 1
      maxAllowed: 1
    value: "0 0 0 * * ?"
    requireOverloading: true
  idm-history-default-retention-period:
    className: "ch.nevis.admin.v4.plugin.base.generation.property.DurationProperty"
    parameters:
      min: "1d"
      max: "1024d"
      required: true
    value: "365d"
    requireOverloading: true
  idm-history-default-retention-skip-list:
    className: "ch.nevis.admin.v4.plugin.base.generation.property.SimpleTextProperty"
    parameters:
      minRequired: 0
      maxAllowed: 1
    value: "tidma_user_login_info_v"
    requireOverloading: true
  idm-history-login-event-prune-history-job-cron-expression:
    className: "ch.nevis.admin.v4.plugin.base.generation.property.SimpleTextProperty"
    parameters:
      minRequired: 1
      maxAllowed: 1
    value: "0 0 0 * * ?"
    requireOverloading: true
  idm-history-login-event-retention-period:
    className: "ch.nevis.admin.v4.plugin.base.generation.property.DurationProperty"
    parameters:
      min: "1d"
      max: "1024d"
      required: true
    value: "100d"
    requireOverloading: true
  idm-history-login-event-retention-skip-list:
    className: "ch.nevis.admin.v4.plugin.base.generation.property.SimpleTextProperty"
    parameters:
      minRequired: 0
      maxAllowed: 1
    value: "tidma_user_v"
    requireOverloading: true
  idm_db-application-role:
    className: "ch.nevis.admin.v4.plugin.base.generation.property.SimpleTextProperty"
    parameters:
      minRequired: 1
      maxAllowed: 1
    value: "RL_U_AGOV"
    requireOverloading: true
  idm_db-data-tablespace:
    className: "ch.nevis.admin.v4.plugin.base.generation.property.SimpleTextProperty"
    parameters:
      minRequired: 1
      maxAllowed: 1
    value: "DATA_IDM"
    requireOverloading: true
  idm_db-database-connection-url:
    className: "ch.nevis.admin.v4.plugin.base.generation.property.SimpleTextProperty"
    parameters:
      minRequired: 0
      maxAllowed: 1
    value: null
    requireOverloading: true
  idm_db-database-host:
    className: "ch.nevis.admin.v4.plugin.base.generation.property.HostPortProperty"
    parameters:
      minRequired: 0
      maxAllowed: 2
      portRequired: false
    value: "mariadb-agov-dev.mariadb.database.azure.com:3306"
    requireOverloading: true
  idm_db-database-jdbc-driver:
    className: "ch.nevis.admin.v4.plugin.base.generation.property.AttachmentProperty"
    parameters:
      minRequired: 0
      maxAllowed: 1
      allowedFileName: ".*\\.jar"
    value: null
    requireOverloading: true
  idm_db-database-name:
    className: "ch.nevis.admin.v4.plugin.base.generation.property.SimpleTextProperty"
    parameters:
      minRequired: 1
      maxAllowed: 1
    value: "nevisidm_dev"
    requireOverloading: true
  idm_db-database-password:
    className: "ch.nevis.admin.v4.plugin.base.generation.property.SimpleTextProperty"
    parameters:
      minRequired: 0
      maxAllowed: 1
      secret: true
    value: "sample password"
    requireOverloading: true
  idm_db-database-type:
    className: "ch.nevis.admin.v4.plugin.base.generation.property.SelectionProperty"
    parameters:
      minRequired: 1
      maxAllowed: 1
      options:
      - "MariaDB"
      - "Oracle"
    value: "Oracle"
    requireOverloading: true
  idm_db-database-user:
    className: "ch.nevis.admin.v4.plugin.base.generation.property.SimpleTextProperty"
    parameters:
      minRequired: 0
      maxAllowed: 1
    value: "adndbadmin"
    requireOverloading: true
  idm_db-database-volume-claim:
    className: "ch.nevis.admin.v4.plugin.base.generation.property.SimpleTextProperty"
    parameters:
      minRequired: 0
      maxAllowed: 1
    value: null
    requireOverloading: true
  idm_db-index-tablespace:
    className: "ch.nevis.admin.v4.plugin.base.generation.property.SimpleTextProperty"
    parameters:
      minRequired: 1
      maxAllowed: 1
    value: "INDEX_IDM"
    requireOverloading: true
  idm_db-owner-role:
    className: "ch.nevis.admin.v4.plugin.base.generation.property.SimpleTextProperty"
    parameters:
      minRequired: 1
      maxAllowed: 1
    value: "RL_IDM_ADM"
    requireOverloading: true
  idm_db-root-credential:
    className: "ch.nevis.admin.v4.plugin.base.generation.property.SimpleTextProperty"
    parameters:
      minRequired: 0
      maxAllowed: 1
    value: "root-adn-agov-nevisidm-01-dev-idm"
    requireOverloading: true
  idm_db-root-credential-namespace:
    className: "ch.nevis.admin.v4.plugin.base.generation.property.SimpleTextProperty"
    parameters:
      minRequired: 0
      maxAllowed: 1
    value: "adn-agov-nevisidm-01-dev-idm"
    requireOverloading: true
  idm_db-tls-encryption:
    className: "ch.nevis.admin.v4.plugin.base.generation.property.SelectionProperty"
    parameters:
      minRequired: 1
      maxAllowed: 1
      options:
      - "disabled"
      - "trust"
      - "verify-ca"
      - "verify-full"
    value: "trust"
    requireOverloading: true
  idm_db_tls_truststore-trusted-certificates:
    className: "ch.nevis.admin.v4.plugin.base.generation.property.AttachmentProperty"
    parameters:
      minRequired: 0
      secretPreserving: true
    value: null
    requireOverloading: true
  ingress_mtls_idmadmin-ca-secret:
    className: "ch.nevis.admin.v4.plugin.base.generation.property.SimpleTextProperty"
    parameters:
      minRequired: 0
      maxAllowed: 1
    value: "ca-secret"
    requireOverloading: true
  ingress_mtls_idmadmin-ca-secret-namespace:
    className: "ch.nevis.admin.v4.plugin.base.generation.property.SimpleTextProperty"
    parameters:
      minRequired: 0
      maxAllowed: 1
    value: "adn-agov-nevisidm-admin-01-dev"
    requireOverloading: true
  ingress_mtls_idmadmin-client-cert-authentication:
    className: "ch.nevis.admin.v4.plugin.base.generation.property.SelectionProperty"
    parameters:
      minRequired: 1
      maxAllowed: 1
      options:
      - "enabled"
      - "disabled"
      - "optional"
      - "optional_no_ca"
    value: "enabled"
    requireOverloading: true
  ingress_mtls_idmadmin-client-cert-validation-depth:
    className: "ch.nevis.admin.v4.plugin.base.generation.property.NumberProperty"
    parameters:
      minRequired: 0
      maxAllowed: 1
      min: 1
      max: 9
    value: "2"
    requireOverloading: true
  ingress_mtls_idmadmin-ingress-class-name:
    className: "ch.nevis.admin.v4.plugin.base.generation.property.SimpleTextProperty"
    parameters:
      minRequired: 0
      maxAllowed: 1
    value: "nginx"
    requireOverloading: true
  internalingresssettings-annotations:
    className: "ch.nevis.admin.v4.plugin.base.generation.property.KeyValueProperty"
    parameters:
      separators:
      - ":"
      switchedSeparators: []
    value: null
    requireOverloading: true
  internalingresssettings-class-name:
    className: "ch.nevis.admin.v4.plugin.base.generation.property.SimpleTextProperty"
    parameters:
      minRequired: 0
      maxAllowed: 1
    value: "nginx"
    requireOverloading: true
  nevisauth-log-settings-log-levels:
    className: "ch.nevis.admin.v4.plugin.base.generation.property.KeyValueProperty"
    parameters:
      separators:
      - "="
      switchedSeparators: []
    value:
    - AuthEngine: "INFO"
    - Vars: "WARN"
    - IdmAuth: "WARN"
    - Script: "WARN"
    - StdAuth: "WARN"
    requireOverloading: true
  nevisidm-admin-custom-resources:
    className: "ch.nevis.admin.v4.plugin.base.generation.property.AttachmentProperty"
    parameters:
      minRequired: 0
    value: null
    requireOverloading: true
  nevisidm-batch-log-settings-default-log-level:
    className: "ch.nevis.admin.v4.plugin.base.generation.property.SelectionProperty"
    parameters:
      minRequired: 0
      maxAllowed: 1
      options:
      - "ERROR"
      - "WARN"
      - "INFO"
      - "DEBUG"
      - "TRACE"
    value: "INFO"
    requireOverloading: true
  nevisidm-batch-log-settings-log-levels:
    className: "ch.nevis.admin.v4.plugin.base.generation.property.KeyValueProperty"
    parameters:
      separators:
      - "="
      switchedSeparators: []
    value: null
    requireOverloading: true
  nevisidm-custom-property-client-external-id-counter:
    className: "ch.nevis.admin.v4.plugin.base.generation.property.SimpleTextProperty"
    parameters:
      minRequired: 0
      maxAllowed: 1
    value: "d9a334a6-b6f5-4982-a24e-13ae095a60fa"
    requireOverloading: true
  nevisidm-custom-property-svnr-client-external-id-agov:
    className: "ch.nevis.admin.v4.plugin.base.generation.property.SimpleTextProperty"
    parameters:
      minRequired: 0
      maxAllowed: 1
    value: "cfa9c9b9-119f-4dff-9bb8-86d7c0cf2720"
    requireOverloading: true
  nevisidm-custom-property-svnr-client-external-id-agovs:
    className: "ch.nevis.admin.v4.plugin.base.generation.property.SimpleTextProperty"
    parameters:
      minRequired: 0
      maxAllowed: 1
    value: null
    requireOverloading: true
  nevisidm-encryption-key:
    className: "ch.nevis.admin.v4.plugin.base.generation.property.SimpleTextProperty"
    parameters:
      minRequired: 1
      maxAllowed: 1
      secret: true
    value: "this a sample password"
    requireOverloading: true
  nevisidm-log-settings-default-log-level:
    className: "ch.nevis.admin.v4.plugin.base.generation.property.SelectionProperty"
    parameters:
      minRequired: 0
      maxAllowed: 1
      options:
      - "ERROR"
      - "WARN"
      - "INFO"
      - "DEBUG"
      - "TRACE"
    value: null
    requireOverloading: true
  nevisidm-log-settings-log-levels:
    className: "ch.nevis.admin.v4.plugin.base.generation.property.KeyValueProperty"
    parameters:
      separators:
      - "="
      switchedSeparators: []
    value:
    - jcan.OpContent: "OFF"
    - jcan.Op: "INFO"
    - ch.nevis.ninja: "WARN"
    - Ninja: "WARN"
    - ch.adnovum.nevisidm.service.dbperformance: "INFO"
    requireOverloading: true
  nevisidm-mail-sender:
    className: "ch.nevis.admin.v4.plugin.base.generation.property.SimpleTextProperty"
    parameters:
      minRequired: 0
      maxAllowed: 1
      format: "^\\S+@\\S+$"
    value: "noreply-agov-dev@adnovum.ch"
    requireOverloading: true
  nevisidm-signer-truststore-trusted-certificates:
    className: "ch.nevis.admin.v4.plugin.base.generation.property.AttachmentProperty"
    parameters:
      minRequired: 0
      secretPreserving: true
    value: null
    requireOverloading: true
  nevisidm-smtp-host:
    className: "ch.nevis.admin.v4.plugin.base.generation.property.SimpleTextProperty"
    parameters:
      minRequired: 0
      maxAllowed: 1
    value: "greenmail.adn-agov-mail-01-dev.svc"
    requireOverloading: true
  nevisidm-smtp-password:
    className: "ch.nevis.admin.v4.plugin.base.generation.property.SimpleTextProperty"
    parameters:
      minRequired: 0
      maxAllowed: 1
    value: null
    requireOverloading: true
  nevisidm-smtp-port:
    className: "ch.nevis.admin.v4.plugin.base.generation.property.PortProperty"
    parameters:
      minRequired: 0
      maxAllowed: 1
    value: "3025"
    requireOverloading: true
  nevisidm-smtp-server:
    className: "ch.nevis.admin.v4.plugin.base.generation.property.HostPortProperty"
    parameters:
      minRequired: 0
      maxAllowed: 1
    value: "greenmail.adn-agov-mail-01-dev.svc"
    requireOverloading: true
  nevisidm-smtp-ssltls-mode:
    className: "ch.nevis.admin.v4.plugin.base.generation.property.SelectionProperty"
    parameters:
      minRequired: 0
      maxAllowed: 1
      options:
      - "disabled"
      - "STARTTLS"
    value: "disabled"
    requireOverloading: true
  nevisidm-smtp-user:
    className: "ch.nevis.admin.v4.plugin.base.generation.property.SimpleTextProperty"
    parameters:
      minRequired: 0
      maxAllowed: 1
    value: null
    requireOverloading: true
  nevislogrend-configuration-logrendproperties:
    className: "ch.nevis.admin.v4.plugin.base.generation.property.KeyValueProperty"
    parameters: {}
    value:
    - cache.revalidate.delay: "60"
    requireOverloading: true
  observabilitysettings:
    className: "ch.nevis.admin.v4.plugin.base.generation.property.KeyValueProperty"
    parameters:
      minRequired: 0
    value:
    - connectionString: "InstrumentationKey=00000000-0000-0000-0000-000000000000"
    - tracesEndpoint: "http://otel-otel-collector.adn-agov-monitoring-01-dev:4318/v1/traces"
    - metricsEndpoint: "http://otel-otel-collector.adn-agov-monitoring-01-dev:4318/v1/metrics"
    - logsEndpoint: "http://otel-otel-collector.adn-agov-monitoring-01-dev:4318/v1/logs"
    requireOverloading: true
  op-admin-mod-security-mode-artreporting:
    className: "ch.nevis.admin.v4.plugin.base.generation.property.SelectionProperty"
    parameters:
      minRequired: 1
      maxAllowed: 1
      options:
      - "off"
      - "standard"
      - "custom"
      - "log only"
    value: "log only"
    requireOverloading: true
  op-admin-mod-security-mode-canary-api:
    className: "ch.nevis.admin.v4.plugin.base.generation.property.SelectionProperty"
    parameters:
      minRequired: 1
      maxAllowed: 1
      options:
      - "off"
      - "standard"
      - "custom"
      - "log only"
    value: "standard"
    requireOverloading: true
  op-admin-mod-security-mode-canary-app:
    className: "ch.nevis.admin.v4.plugin.base.generation.property.SelectionProperty"
    parameters:
      minRequired: 1
      maxAllowed: 1
      options:
      - "off"
      - "standard"
      - "custom"
      - "log only"
    value: "standard"
    requireOverloading: true
  op-admin-mod-security-mode-greenmail:
    className: "ch.nevis.admin.v4.plugin.base.generation.property.SelectionProperty"
    parameters:
      minRequired: 1
      maxAllowed: 1
      options:
      - "off"
      - "standard"
      - "custom"
      - "log only"
    value: "log only"
    requireOverloading: true
  op-admin-mod-security-mode-nevisidmgui:
    className: "ch.nevis.admin.v4.plugin.base.generation.property.SelectionProperty"
    parameters:
      minRequired: 0
      maxAllowed: 1
      options:
      - "off"
      - "standard"
      - "custom"
      - "log only"
    value: "log only"
    requireOverloading: true
  op-admin-mod-security-op-onboarding-log-only-mode:
    className: "ch.nevis.admin.v4.plugin.base.generation.property.SelectionProperty"
    parameters:
      minRequired: 1
      maxAllowed: 1
      options:
      - "enabled"
      - "disabled"
    value: "enabled"
    requireOverloading: true
  op-admin-mod-security-op-onboarding-paranoia-level:
    className: "ch.nevis.admin.v4.plugin.base.generation.property.SelectionProperty"
    parameters:
      minRequired: 0
      maxAllowed: 1
      options:
      - "1"
      - "2"
      - "3"
      - "4"
    value: "2"
    requireOverloading: true
  op-samlserviceprovider-parameters:
    className: "ch.nevis.admin.v4.plugin.base.generation.property.TextProperty"
    parameters:
      required: false
      syntax: "YAML"
    value: "op.atb.ssoUrl: https://trustbroker.agov-d.azure.adnovum.net/adfs/ls\n\
      op.onboarding.issuer: https://op.agov-d.azure.adnovum.net/AUTH/ONBOARDING\n\
      op.onboarding.consumerURL: https://op.agov-d.azure.adnovum.net/AUTH/ONBOARDING"
    requireOverloading: true
  operations-admin-signer-pem-key-store-private-key-passphrase:
    className: "ch.nevis.admin.v4.plugin.base.generation.property.SimpleTextProperty"
    parameters:
      minRequired: 0
      maxAllowed: 1
      secret: true
    value: "sample password"
    requireOverloading: true
  proxyobservabilitysettings-metricsEndpoint:
    className: "ch.nevis.admin.v4.plugin.base.generation.property.URLProperty"
    parameters:
      minRequired: 0
      maxAllowed: 1
      schemeInputMode: "NONE"
      hostNameInputMode: "REQUIRED"
      portInputMode: "REQUIRED"
      pathInputMode: "NONE"
    value: "otel-otel-collector.adn-agov-monitoring-01-dev:4318"
    requireOverloading: true
  proxyobservabilitysettings-tracesEndpoint:
    className: "ch.nevis.admin.v4.plugin.base.generation.property.URLProperty"
    parameters:
      minRequired: 0
      maxAllowed: 1
      schemeInputMode: "NONE"
      hostNameInputMode: "REQUIRED"
      portInputMode: "REQUIRED"
      pathInputMode: "NONE"
    value: "otel-otel-collector.adn-agov-monitoring-01-dev:4318"
    requireOverloading: true
  saml-idp-admin-connector-idp-issuer:
    className: "ch.nevis.admin.v4.plugin.base.generation.property.SimpleTextProperty"
    parameters:
      minRequired: 1
      maxAllowed: 1
      format: "^[^\\s,]*$"
    value: "https://trustbroker.agov-d.azure.adnovum.net"
    requireOverloading: true
  saml-idp-admin-connector-idp-url:
    className: "ch.nevis.admin.v4.plugin.base.generation.property.URLProperty"
    parameters:
      minRequired: 1
      maxAllowed: 1
      schemeInputMode: "OPTIONAL"
      allowedSchemes: "http,https"
      hostNameInputMode: "OPTIONAL"
      portInputMode: "OPTIONAL"
      pathInputMode: "OPTIONAL"
      queryInputMode: "OPTIONAL"
    value: "https://trustbroker.agov-d.azure.adnovum.net/adfs/ls"
    requireOverloading: true
  saml-idp-admin-connector-properties:
    className: "ch.nevis.admin.v4.plugin.base.generation.property.AuthStateProperty"
    parameters:
      separators:
      - "->"
      - "="
      switchedSeparators: []
      problematicSeparator: "->"
    value:
    - out.authnContextClassRef: "urn:qa.agov.ch:names:tc:ac:classes:300"
    - out.sign: "AuthnRequest,LogoutRequest"
    requireOverloading: true
  saml-idp-admin-connector-trusted-signer:
    className: "ch.nevis.admin.v4.plugin.base.generation.property.AttachmentProperty"
    parameters:
      minRequired: 0
    value: null
    requireOverloading: true
  saml-idp-op-connector-custom-properties:
    className: "ch.nevis.admin.v4.plugin.base.generation.property.AuthStateProperty"
    parameters:
      separators:
      - "->"
      - "="
      switchedSeparators: []
      problematicSeparator: "->"
    value: null
    requireOverloading: true
  saml-idp-op-connector-idp-issuer:
    className: "ch.nevis.admin.v4.plugin.base.generation.property.SimpleTextProperty"
    parameters:
      minRequired: 1
      maxAllowed: 1
      format: "^[^\\s,]*$"
    value: "https://idp-priv.agov.admin.ch"
    requireOverloading: true
  saml-idp-op-connector-idp-url:
    className: "ch.nevis.admin.v4.plugin.base.generation.property.URLProperty"
    parameters:
      minRequired: 1
      maxAllowed: 1
      schemeInputMode: "OPTIONAL"
      allowedSchemes: "http,https"
      hostNameInputMode: "OPTIONAL"
      portInputMode: "OPTIONAL"
      pathInputMode: "OPTIONAL"
      queryInputMode: "OPTIONAL"
    value: "https://trustbroker.agov-d.azure.adnovum.net/adfs/ls"
    requireOverloading: true
  saml-idp-op-connector-properties:
    className: "ch.nevis.admin.v4.plugin.base.generation.property.AuthStateProperty"
    parameters:
      separators:
      - "->"
      - "="
      switchedSeparators: []
      problematicSeparator: "->"
    value:
    - out.authnContextClassRef: "urn:qa.agov.ch:names:tc:ac:classes:300"
    - out.sign: "AuthnRequest,LogoutRequest"
    requireOverloading: true
  saml-idp-op-connector-trusted-signer:
    className: "ch.nevis.admin.v4.plugin.base.generation.property.AttachmentProperty"
    parameters:
      minRequired: 0
    value: null
    requireOverloading: true
  saml-idp-root-connector-idp-issuer:
    className: "ch.nevis.admin.v4.plugin.base.generation.property.SimpleTextProperty"
    parameters:
      minRequired: 1
      maxAllowed: 1
      format: "^[^\\s,]*$"
    value: null
    requireOverloading: true
  saml-idp-root-connector-idp-url:
    className: "ch.nevis.admin.v4.plugin.base.generation.property.URLProperty"
    parameters:
      minRequired: 1
      maxAllowed: 1
      schemeInputMode: "OPTIONAL"
      allowedSchemes: "http,https"
      hostNameInputMode: "OPTIONAL"
      portInputMode: "OPTIONAL"
      pathInputMode: "OPTIONAL"
      queryInputMode: "OPTIONAL"
    value: null
    requireOverloading: true
  saml-sp-nevisidm-admin-realm-saml-issuer:
    className: "ch.nevis.admin.v4.plugin.base.generation.property.SimpleTextProperty"
    parameters:
      minRequired: 1
      maxAllowed: 1
      format: "^[^\\s,]*$"
    value: "https://admin.agov-d.azure.adnovum.net/SAML2/ACS/"
    requireOverloading: true
  saml-sp-nevisidm-operations-realm-saml-issuer:
    className: "ch.nevis.admin.v4.plugin.base.generation.property.SimpleTextProperty"
    parameters:
      minRequired: 1
      maxAllowed: 1
      format: "^[^\\s,]*$"
    value: "https://op.agov-d.azure.adnovum.net/SAML2/ACS/"
    requireOverloading: true
  security-response-headers-response-headers:
    className: "ch.nevis.admin.v4.plugin.base.generation.property.KeyValueProperty"
    parameters:
      minRequired: 1
      separators:
      - ":"
      switchedSeparators: []
    value:
    - X-Content-Type-Options: "nosniff"
    requireOverloading: true
  technical_trust_store-additional-trusted-certificates:
    className: "ch.nevis.admin.v4.plugin.base.generation.property.AttachmentProperty"
    parameters:
      minRequired: 0
    value: null
    requireOverloading: true
  test-idm-prune-agov-accounts-job-jobs:
    className: "ch.nevis.admin.v4.plugin.base.generation.property.TextProperty"
    parameters:
      required: true
      syntax: "XML"
    value: "<bean id=\"pruneAgovAccountsJob\"  class=\"org.springframework.scheduling.quartz.JobDetailFactoryBean\"\
      >\n    <property name=\"description\" value=\"Archive and delete obsolete AGOV\
      \ accounts (100d no activity)\"/>\n    <property name=\"jobClass\" value=\"\
      ch.nevis.idm.batch.jobs.UpdateUserStateJob\"/>\n    <property name=\"durability\"\
      \ value=\"true\"/>\n    <property name=\"jobDataMap\">\n        <bean class=\"\
      org.quartz.JobDataMap\">\n            <constructor-arg>\n                <map>\n\
      \                    <entry key=\"daysNoActivity\" value=\"100\"/>\n       \
      \             <entry key=\"neverLoggedInDaysNoActivity\" value=\"100\"/>\n \
      \                   <entry key=\"considerUsersNeverLoggedIn\" value=\"true\"\
      />\n                    <entry key=\"sendWarning\" value=\"false\"/>\n     \
      \               <entry key=\"daysGracePeriod\" value=\"1\"/>\n             \
      \       <entry key=\"daysStatusDisabled\" value=\"100\"/>\n                \
      \    <entry key=\"daysStatusArchived\" value=\"10\"/>\n                    <entry\
      \ key=\"disableOutdatedUsers\" value=\"true\"/>\n                    <entry\
      \ key=\"disableNotYetActiveUsers\" value=\"false\"/>\n                    <entry\
      \ key=\"excludeTechnicalUsers\" value=\"true\"/>\n                    <entry\
      \ key=\"restrictToClients\" value=\"cfa9c9b9-119f-4dff-9bb8-86d7c0cf2720\"/>\n\
      \                </map>\n            </constructor-arg>\n        </bean>\n \
      \   </property>\n</bean>"
    requireOverloading: true
  test-idm-prune-agov-accounts-job-triggers:
    className: "ch.nevis.admin.v4.plugin.base.generation.property.TextProperty"
    parameters:
      required: false
      syntax: "XML"
    value: "<bean id=\"pruneAgovAccountsJobTrigger\" class=\"org.springframework.scheduling.quartz.CronTriggerFactoryBean\"\
      >\n    <property name=\"description\" value=\"Archive and delete obsolete AGOV\
      \ accounts (100d no activity)\"/>\n    <property name=\"jobDetail\" ref=\"pruneAgovAccountsJob\"\
      />\n</bean>"
    requireOverloading: true
  virtual_host_idmadmin-frontend-addresses:
    className: "ch.nevis.admin.v4.plugin.base.generation.property.URLProperty"
    parameters:
      minRequired: 1
      schemeInputMode: "REQUIRED"
      allowedSchemes: "http,https"
      hostNameInputMode: "REQUIRED"
      portInputMode: "OPTIONAL"
      pathInputMode: "OPTIONAL"
    value: "https://admin.agov-d.azure.adnovum.net"
    requireOverloading: true
  virtual_host_idmoperations-frontend-addresses:
    className: "ch.nevis.admin.v4.plugin.base.generation.property.URLProperty"
    parameters:
      minRequired: 1
      schemeInputMode: "REQUIRED"
      allowedSchemes: "http,https"
      hostNameInputMode: "REQUIRED"
      portInputMode: "OPTIONAL"
      pathInputMode: "OPTIONAL"
    value: "https://op.agov-d.azure.adnovum.net"
    requireOverloading: true
  web-application-canarypage-backend-backend-addresses:
    className: "ch.nevis.admin.v4.plugin.base.generation.property.URLProperty"
    parameters:
      minRequired: 1
      schemeInputMode: "OPTIONAL"
      allowedSchemes: "http,https"
      hostNameInputMode: "REQUIRED"
      portInputMode: "OPTIONAL"
      pathInputMode: "OPTIONAL"
    value: "http://service.namespace:8081/url"
    requireOverloading: true
  web-application-canarypage-backend-frontend-addresses:
    className: "ch.nevis.admin.v4.plugin.base.generation.property.URLProperty"
    parameters:
      minRequired: 1
      schemeInputMode: "OPTIONAL"
      allowedSchemes: "http,https"
      hostNameInputMode: "REQUIRED"
      portInputMode: "OPTIONAL"
      pathInputMode: "OPTIONAL"
    value: "http://connect-application.adn-agov-connect-01-dev:8080/connect/canary-page"
    requireOverloading: true
